Cue Docs
Broadcast API - V1

Create Broadcast

Guide: Broadcast API - V1
POST
/broadcasts

Authorization

bearerAuth
headerAuthorizationBearer <token>

An API token from Settings > API Tokens in your Cue workspace. See Authentication.

Header Parameters

Authorization*Authorization

An API token from Settings > API Tokens, as Bearer <token>.

Request Body

application/json
  1. body
channel_type?string|null
name?string|null
template_name?string|null
valid_until?|null
scheduled_for?|null
priority?string|null
locale?string|null
from?string|null
version?integer|null
parameters?|null
recipients?array<>|null
client_unique_identifier?string|null
contact_list_uuid?|null

Response Body

Successful Response

application/json
  1. response
uuid?|null
scheduled_at?string|null
status?string|null
recipients?integer|null
warnings*array<>|null
Example Request
curl -X POST 'https://api.cuedesk.com/broadcasts' \
  -H 'Authorization: Bearer <token>' \
  -H 'Content-Type: application/json' \
  -d '{}'
Example Response
{
  "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
  "scheduled_at": "string",
  "status": "string",
  "recipients": 0,
  "warnings": [
    {
      "identifier": "string",
      "errors": [
        "string"
      ]
    }
  ]
}